package cn.com.qmth.print.manage.enums;

/**
 * 
 * @Description: 分组类型
 * @author ting.yin
 * @date 2021年11月15日
 */
public enum GroupType {

    COURSE("课程", 1L),

    EXAM_SITE("考点", 2L),

    EXAM_ROOM("考场", 3L);

    private String name;

    private Long id;

    GroupType(String name) {
        this.name = name;
    }

    private GroupType(String name, Long id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public static GroupType getByName(String name) {
        for (GroupType r : GroupType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
